{namespace n=GeorgRinger\News\ViewHelpers}
<div xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      data-namespace-typo3-fluid="true">

    <f:if condition="{configuration.insertAbove}">
        <f:render section="paginator" arguments="{pagination: pagination,configuration:configuration}"/>
    </f:if>

    <f:renderChildren arguments="{contentArguments}"/>

    <f:if condition="{configuration.insertBelow}">
        <f:render section="paginator" arguments="{pagination: pagination,configuration:configuration}"/>
    </f:if>

    <f:section name="paginator">
        <f:if condition="{pagination.numberOfPages} > 1">
            <f:if condition="{settings.list.paginate}">
                <f:if condition="{pagination.previousPage}">
                    <f:if condition="{pagination.previousPage} > 1">
                        <f:then>
                            <n:headerData>
                                <link rel="prev"
                                      href="{f:widget.uri(arguments: {currentPage: pagination.previousPage}) -> f:format.htmlentities()}"/>
                            </n:headerData>
                        </f:then>
                        <f:else>
                            <n:headerData>
                                <link rel="prev" href="{f:widget.uri() -> f:format.htmlentities()}"/>
                            </n:headerData>
                        </f:else>
                    </f:if>
                </f:if>
                <f:if condition="{pagination.nextPage}">
                    <n:headerData>
                        <link rel="next"
                              href="{f:widget.uri(arguments: {currentPage: pagination.nextPage}) -> f:format.htmlentities()}"/>
                    </n:headerData>
                </f:if>
            </f:if>

            <div class="c-paginationcontainer">
                <p>
                    <f:translate key="paginate_overall" arguments="{0:pagination.current,1:pagination.numberOfPages}"/>
                </p>
                <div class="c-pagination">
                    <div class="c-pagination__list">
                        <f:if condition="{pagination.previousPage}">
                            <f:if condition="{pagination.previousPage} > 1">
                                <f:then>
                                    <f:widget.link arguments="{currentPage: pagination.previousPage}">
                                        <f:translate key="paginate_previous"/>
                                    </f:widget.link>
                                </f:then>
                                <f:else>
                                    <f:widget.link>
                                        <f:translate key="paginate_previous"/>
                                    </f:widget.link>
                                </f:else>
                            </f:if>
                        </f:if>
                        <f:if condition="{pagination.displayRangeStart} > 1">
                            <f:widget.link>1</f:widget.link>
                        </f:if>
                        <f:if condition="{pagination.hasLessPages}">
                            ....
                        </f:if>
                        <f:for each="{pagination.pages}" as="page">
                            <f:if condition="{page.isCurrent}">
                                <f:then>
                                    <f:widget.link class="current">{page.number}</f:widget.link>
                                </f:then>
                                <f:else>
                                        <f:if condition="{page.number} > 1">
                                            <f:then>
                                                <f:widget.link arguments="{currentPage: page.number}">{page.number}
                                                </f:widget.link>
                                            </f:then>
                                            <f:else>
                                                <f:widget.link>{page.number}</f:widget.link>
                                            </f:else>
                                        </f:if>
                                </f:else>
                            </f:if>
                        </f:for>
                        <f:if condition="{pagination.hasMorePages}">
                            ....
                        </f:if>
                        <f:if condition="{pagination.displayRangeEnd} < {pagination.numberOfPages}">
                            <f:widget.link arguments="{currentPage: pagination.numberOfPages}">{pagination.numberOfPages}
                            </f:widget.link>
                        </f:if>
                        <f:if condition="{pagination.nextPage}">
                            <f:widget.link arguments="{currentPage: pagination.nextPage}">
                                <f:translate key="paginate_next"/>
                            </f:widget.link>
                        </f:if>
                    </div>
                </div>
            </div>

            <div class="news-clear"></div>
        </f:if>
    </f:section>

</div>
